﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PDFUtil
{
	static class Program
	{
		static private string _physicalPath = "";
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main()
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			Application.Run(new frmPdfUtil());
		}

		public static string PhysicalPath
		{
			get
			{
				if (String.IsNullOrEmpty(_physicalPath))
				{
					_physicalPath = System.Reflection.Assembly.GetExecutingAssembly().GetName().CodeBase.ToLower();
					bool isDll = _physicalPath.EndsWith("dll");
					_physicalPath = System.IO.Path.GetDirectoryName(_physicalPath).Replace("file:\\", "");
					if (isDll && _physicalPath.EndsWith("bin"))
						_physicalPath = _physicalPath.Replace("bin", "");
					if (_physicalPath.EndsWith("\\") == false)
						_physicalPath = _physicalPath + "\\";
				}
				return _physicalPath;
			}
		}

	}
}
